Attribute VB_Name = "DLLInterface"
'***************************************************************************
'  Module   : DLL421.BAS
'  Function : VB declarations for Sensoray 421.DLL
'  Created  : 07/23/1999
'***************************************************************************

' These are the bit mask definitions for the Model 421 Status port.  When
' you need to examine one of the status bits, call the DRV_GetStatus
' function, then AND (logical) the returned value with the appropriate mask.

Global Const STAT_UNI = &H8         'A/D in unipolar mode (vs. bipolar)
Global Const STAT_AE = &H4          'DAC outputs enabled
Global Const STAT_BSY = &H2         'A/D busy converting
Global Const STAT_FLT = &H1         'fault (or reset) active

' These declarations tell Visual Basic where to find the procedures that are
' contained by 421.DLL and what parameter types are required.

Declare Sub DRV_BoardReset Lib "421.DLL" Alias "BoardReset" (ByVal hBD As Long)
Declare Sub DRV_CounterReset Lib "421.DLL" Alias "CounterReset" (ByVal hBD As Long, ByVal ChNum As Long)
Declare Sub DRV_CountersModeSet Lib "421.DLL" Alias "CountersModeSet" (ByVal hBD As Long, ByVal Mode As Long)
Declare Sub DRV_DacsEnableSet Lib "421.DLL" Alias "DacsEnableSet" (ByVal hBD As Long, ByVal enable As Long)
Declare Sub DRV_DacOutputSet Lib "421.DLL" Alias "DacOutputSet" (ByVal hBD As Long, ByVal ChNum As Long, ByVal Value As Long)
Declare Sub DRV_DigitizerChanSet Lib "421.DLL" Alias "DigitizerChanSet" (ByVal hBD As Long, ByVal ChNum As Long)
Declare Sub DRV_RelayChanSet Lib "421.DLL" Alias "RelayChanSet" (ByVal hBD As Long, ByVal ChNum As Long, ByVal st As Long)
Declare Sub DRV_RelayGroupSet Lib "421.DLL" Alias "RelayGroupSet" (ByVal hBD As Long, ByVal Group As Long, ByVal st As Long)
Declare Sub DRV_SetBaseAdrs Lib "421.DLL" Alias "SetBaseAdrs" (ByVal hBD As Long, ByVal Adrs As Long)
Declare Sub DRV_WatchdogEnableSet Lib "421.DLL" Alias "WatchdogEnableSet" (ByVal hBD As Long, ByVal enable As Long)
Declare Sub DRV_WatchdogRefresh Lib "421.DLL" Alias "WatchdogRefresh" (ByVal hBD As Long)
Declare Function DRV_CounterGet Lib "421.DLL" Alias "CounterGet" (ByVal hBD As Long, ByVal ChNum As Long) As Long
Declare Function DRV_Digitize Lib "421.DLL" Alias "Digitize" (ByVal hBD As Long) As Long
Declare Function DRV_RelayChanGet Lib "421.DLL" Alias "RelayChanGet" (ByVal hBD As Long, ByVal ChNum As Long) As Long
Declare Function DRV_RelayChanOutputGet Lib "421.DLL" Alias "RelayChanOutputGet" (ByVal hBD As Long, ByVal ChNum As Long) As Long
Declare Function DRV_FaultFlagsGet Lib "421.DLL" Alias "FaultFlagsGet" (ByVal hBD As Long) As Long
Declare Function DRV_RelayGroupGet Lib "421.DLL" Alias "RelayGroupGet " (ByVal hBD As Long, ByVal Group As Long) As Long
Declare Function DRV_RelayGroupOutputGet Lib "421.DLL" Alias "RelayGroupOutputGet" (ByVal hBD As Long, ByVal Group As Long) As Long
Declare Function DRV_StatusGet Lib "421.DLL" Alias "StatusGet" (ByVal hBD As Long) As Long

